import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import '../shared_components/form_builder.dart';


class SettingsPage extends StatefulWidget {
  const SettingsPage({Key? key}) : super(key: key);

  @override
  State<SettingsPage> createState() => _SettingsPageState();
}

class _SettingsPageState extends State<SettingsPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: CupertinoColors.systemGreen,
        leading: BackButton(
          onPressed: () async => Navigator.of(context).pop(),
        ),
        title: const Text('Einstellungen'),
      ),
      body: const FormBuilderComponent(lockTextFields: true),
    );
  }
}